published on Thursday, Mar 26, 2026 by Pulumi
published on Thursday, Mar 26, 2026 by Pulumi
This data source provides the list of Host Insights in Oracle Cloud Infrastructure Opsi service.
Gets a list of host insights based on the query parameters specified. Either compartmentId or id query parameter must be specified. When both compartmentId and compartmentIdInSubtree are specified, a list of host insights in that compartment and in all sub-compartments will be returned.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as oci from "@pulumi/oci";
const testHostInsights = oci.Opsi.getHostInsights({
compartmentId: compartmentId,
compartmentIdInSubtree: hostInsightCompartmentIdInSubtree,
enterpriseManagerBridgeId: testEnterpriseManagerBridge.id,
exadataInsightId: testExadataInsight.id,
hostTypes: hostInsightHostType,
id: hostInsightId,
states: hostInsightState,
statuses: hostInsightStatus,
});
import pulumi
import pulumi_oci as oci
test_host_insights = oci.Opsi.get_host_insights(compartment_id=compartment_id,
compartment_id_in_subtree=host_insight_compartment_id_in_subtree,
enterprise_manager_bridge_id=test_enterprise_manager_bridge["id"],
exadata_insight_id=test_exadata_insight["id"],
host_types=host_insight_host_type,
id=host_insight_id,
states=host_insight_state,
statuses=host_insight_status)
package main
import (
"github.com/pulumi/pulumi-oci/sdk/v4/go/oci/opsi"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := opsi.GetHostInsights(ctx, &opsi.GetHostInsightsArgs{
CompartmentId: pulumi.StringRef(compartmentId),
CompartmentIdInSubtree: pulumi.BoolRef(hostInsightCompartmentIdInSubtree),
EnterpriseManagerBridgeId: pulumi.StringRef(testEnterpriseManagerBridge.Id),
ExadataInsightId: pulumi.StringRef(testExadataInsight.Id),
HostTypes: hostInsightHostType,
Id: pulumi.StringRef(hostInsightId),
States: hostInsightState,
Statuses: hostInsightStatus,
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Oci = Pulumi.Oci;
return await Deployment.RunAsync(() =>
{
var testHostInsights = Oci.Opsi.GetHostInsights.Invoke(new()
{
CompartmentId = compartmentId,
CompartmentIdInSubtree = hostInsightCompartmentIdInSubtree,
EnterpriseManagerBridgeId = testEnterpriseManagerBridge.Id,
ExadataInsightId = testExadataInsight.Id,
HostTypes = hostInsightHostType,
Id = hostInsightId,
States = hostInsightState,
Statuses = hostInsightStatus,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.oci.Opsi.OpsiFunctions;
import com.pulumi.oci.Opsi.inputs.GetHostInsightsArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var testHostInsights = OpsiFunctions.getHostInsights(GetHostInsightsArgs.builder()
.compartmentId(compartmentId)
.compartmentIdInSubtree(hostInsightCompartmentIdInSubtree)
.enterpriseManagerBridgeId(testEnterpriseManagerBridge.id())
.exadataInsightId(testExadataInsight.id())
.hostTypes(hostInsightHostType)
.id(hostInsightId)
.states(hostInsightState)
.statuses(hostInsightStatus)
.build());
}
}
variables:
testHostInsights:
fn::invoke:
function: oci:Opsi:getHostInsights
arguments:
compartmentId: ${compartmentId}
compartmentIdInSubtree: ${hostInsightCompartmentIdInSubtree}
enterpriseManagerBridgeId: ${testEnterpriseManagerBridge.id}
exadataInsightId: ${testExadataInsight.id}
hostTypes: ${hostInsightHostType}
id: ${hostInsightId}
states: ${hostInsightState}
statuses: ${hostInsightStatus}
Using getHostInsights
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getHostInsights(args: GetHostInsightsArgs, opts?: InvokeOptions): Promise<GetHostInsightsResult>
function getHostInsightsOutput(args: GetHostInsightsOutputArgs, opts?: InvokeOptions): Output<GetHostInsightsResult>def get_host_insights(compartment_id: Optional[str] = None,
compartment_id_in_subtree: Optional[bool] = None,
enterprise_manager_bridge_id: Optional[str] = None,
exadata_insight_id: Optional[str] = None,
filters: Optional[Sequence[GetHostInsightsFilter]] = None,
host_types: Optional[Sequence[str]] = None,
id: Optional[str] = None,
states: Optional[Sequence[str]] = None,
statuses: Optional[Sequence[str]] = None,
opts: Optional[InvokeOptions] = None) -> GetHostInsightsResult
def get_host_insights_output(compartment_id: Optional[pulumi.Input[str]] = None,
compartment_id_in_subtree: Optional[pulumi.Input[bool]] = None,
enterprise_manager_bridge_id: Optional[pulumi.Input[str]] = None,
exadata_insight_id: Optional[pulumi.Input[str]] = None,
filters: Optional[pulumi.Input[Sequence[pulumi.Input[GetHostInsightsFilterArgs]]]] = None,
host_types: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
id: Optional[pulumi.Input[str]] = None,
states: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
statuses: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetHostInsightsResult]func GetHostInsights(ctx *Context, args *GetHostInsightsArgs, opts ...InvokeOption) (*GetHostInsightsResult, error)
func GetHostInsightsOutput(ctx *Context, args *GetHostInsightsOutputArgs, opts ...InvokeOption) GetHostInsightsResultOutput> Note: This function is named GetHostInsights in the Go SDK.
public static class GetHostInsights
{
public static Task<GetHostInsightsResult> InvokeAsync(GetHostInsightsArgs args, InvokeOptions? opts = null)
public static Output<GetHostInsightsResult> Invoke(GetHostInsightsInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetHostInsightsResult> getHostInsights(GetHostInsightsArgs args, InvokeOptions options)
public static Output<GetHostInsightsResult> getHostInsights(GetHostInsightsArgs args, InvokeOptions options)
fn::invoke:
function: oci:Opsi/getHostInsights:getHostInsights
arguments:
# arguments dictionaryThe following arguments are supported:
- Compartment
Id string - The OCID of the compartment.
- Compartment
Id boolIn Subtree - A flag to search all resources within a given compartment and all sub-compartments.
- Enterprise
Manager stringBridge Id - Unique Enterprise Manager bridge identifier
- Exadata
Insight stringId - OCID of exadata insight resource.
- Filters
List<Get
Host Insights Filter> - Host
Types List<string> - Filter by one or more host types. Possible values are CLOUD-HOST, EXTERNAL-HOST, COMANAGED-VM-HOST, COMANAGED-BM-HOST, COMANAGED-EXACS-HOST, COMANAGED-EXACC-HOST
- Id string
- Optional list of host insight resource OCIDs.
- States List<string>
- Lifecycle states
- Statuses List<string>
- Resource Status
- Compartment
Id string - The OCID of the compartment.
- Compartment
Id boolIn Subtree - A flag to search all resources within a given compartment and all sub-compartments.
- Enterprise
Manager stringBridge Id - Unique Enterprise Manager bridge identifier
- Exadata
Insight stringId - OCID of exadata insight resource.
- Filters
[]Get
Host Insights Filter - Host
Types []string - Filter by one or more host types. Possible values are CLOUD-HOST, EXTERNAL-HOST, COMANAGED-VM-HOST, COMANAGED-BM-HOST, COMANAGED-EXACS-HOST, COMANAGED-EXACC-HOST
- Id string
- Optional list of host insight resource OCIDs.
- States []string
- Lifecycle states
- Statuses []string
- Resource Status
- compartment
Id String - The OCID of the compartment.
- compartment
Id BooleanIn Subtree - A flag to search all resources within a given compartment and all sub-compartments.
- enterprise
Manager StringBridge Id - Unique Enterprise Manager bridge identifier
- exadata
Insight StringId - OCID of exadata insight resource.
- filters
List<Get
Host Insights Filter> - host
Types List<String> - Filter by one or more host types. Possible values are CLOUD-HOST, EXTERNAL-HOST, COMANAGED-VM-HOST, COMANAGED-BM-HOST, COMANAGED-EXACS-HOST, COMANAGED-EXACC-HOST
- id String
- Optional list of host insight resource OCIDs.
- states List<String>
- Lifecycle states
- statuses List<String>
- Resource Status
- compartment
Id string - The OCID of the compartment.
- compartment
Id booleanIn Subtree - A flag to search all resources within a given compartment and all sub-compartments.
- enterprise
Manager stringBridge Id - Unique Enterprise Manager bridge identifier
- exadata
Insight stringId - OCID of exadata insight resource.
- filters
Get
Host Insights Filter[] - host
Types string[] - Filter by one or more host types. Possible values are CLOUD-HOST, EXTERNAL-HOST, COMANAGED-VM-HOST, COMANAGED-BM-HOST, COMANAGED-EXACS-HOST, COMANAGED-EXACC-HOST
- id string
- Optional list of host insight resource OCIDs.
- states string[]
- Lifecycle states
- statuses string[]
- Resource Status
- compartment_
id str - The OCID of the compartment.
- compartment_
id_ boolin_ subtree - A flag to search all resources within a given compartment and all sub-compartments.
- enterprise_
manager_ strbridge_ id - Unique Enterprise Manager bridge identifier
- exadata_
insight_ strid - OCID of exadata insight resource.
- filters
Sequence[Get
Host Insights Filter] - host_
types Sequence[str] - Filter by one or more host types. Possible values are CLOUD-HOST, EXTERNAL-HOST, COMANAGED-VM-HOST, COMANAGED-BM-HOST, COMANAGED-EXACS-HOST, COMANAGED-EXACC-HOST
- id str
- Optional list of host insight resource OCIDs.
- states Sequence[str]
- Lifecycle states
- statuses Sequence[str]
- Resource Status
- compartment
Id String - The OCID of the compartment.
- compartment
Id BooleanIn Subtree - A flag to search all resources within a given compartment and all sub-compartments.
- enterprise
Manager StringBridge Id - Unique Enterprise Manager bridge identifier
- exadata
Insight StringId - OCID of exadata insight resource.
- filters List<Property Map>
- host
Types List<String> - Filter by one or more host types. Possible values are CLOUD-HOST, EXTERNAL-HOST, COMANAGED-VM-HOST, COMANAGED-BM-HOST, COMANAGED-EXACS-HOST, COMANAGED-EXACC-HOST
- id String
- Optional list of host insight resource OCIDs.
- states List<String>
- Lifecycle states
- statuses List<String>
- Resource Status
getHostInsights Result
The following output properties are available:
- Host
Insight List<GetSummary Collections Host Insights Host Insight Summary Collection> - The list of host_insight_summary_collection.
- Compartment
Id string - The OCID of the compartment.
- Compartment
Id boolIn Subtree - Enterprise
Manager stringBridge Id - OPSI Enterprise Manager Bridge OCID
- Exadata
Insight stringId - The OCID of the Exadata insight.
- Filters
List<Get
Host Insights Filter> - Host
Types List<string> - Ops Insights internal representation of the host type. Possible value is EXTERNAL-HOST.
- Id string
- The OCID of the host insight resource.
- States List<string>
- The current state of the host.
- Statuses List<string>
- Indicates the status of a host insight in Operations Insights
- Host
Insight []GetSummary Collections Host Insights Host Insight Summary Collection - The list of host_insight_summary_collection.
- Compartment
Id string - The OCID of the compartment.
- Compartment
Id boolIn Subtree - Enterprise
Manager stringBridge Id - OPSI Enterprise Manager Bridge OCID
- Exadata
Insight stringId - The OCID of the Exadata insight.
- Filters
[]Get
Host Insights Filter - Host
Types []string - Ops Insights internal representation of the host type. Possible value is EXTERNAL-HOST.
- Id string
- The OCID of the host insight resource.
- States []string
- The current state of the host.
- Statuses []string
- Indicates the status of a host insight in Operations Insights
- host
Insight List<GetSummary Collections Host Insights Host Insight Summary Collection> - The list of host_insight_summary_collection.
- compartment
Id String - The OCID of the compartment.
- compartment
Id BooleanIn Subtree - enterprise
Manager StringBridge Id - OPSI Enterprise Manager Bridge OCID
- exadata
Insight StringId - The OCID of the Exadata insight.
- filters
List<Get
Host Insights Filter> - host
Types List<String> - Ops Insights internal representation of the host type. Possible value is EXTERNAL-HOST.
- id String
- The OCID of the host insight resource.
- states List<String>
- The current state of the host.
- statuses List<String>
- Indicates the status of a host insight in Operations Insights
- host
Insight GetSummary Collections Host Insights Host Insight Summary Collection[] - The list of host_insight_summary_collection.
- compartment
Id string - The OCID of the compartment.
- compartment
Id booleanIn Subtree - enterprise
Manager stringBridge Id - OPSI Enterprise Manager Bridge OCID
- exadata
Insight stringId - The OCID of the Exadata insight.
- filters
Get
Host Insights Filter[] - host
Types string[] - Ops Insights internal representation of the host type. Possible value is EXTERNAL-HOST.
- id string
- The OCID of the host insight resource.
- states string[]
- The current state of the host.
- statuses string[]
- Indicates the status of a host insight in Operations Insights
- host_
insight_ Sequence[Getsummary_ collections Host Insights Host Insight Summary Collection] - The list of host_insight_summary_collection.
- compartment_
id str - The OCID of the compartment.
- compartment_
id_ boolin_ subtree - enterprise_
manager_ strbridge_ id - OPSI Enterprise Manager Bridge OCID
- exadata_
insight_ strid - The OCID of the Exadata insight.
- filters
Sequence[Get
Host Insights Filter] - host_
types Sequence[str] - Ops Insights internal representation of the host type. Possible value is EXTERNAL-HOST.
- id str
- The OCID of the host insight resource.
- states Sequence[str]
- The current state of the host.
- statuses Sequence[str]
- Indicates the status of a host insight in Operations Insights
- host
Insight List<Property Map>Summary Collections - The list of host_insight_summary_collection.
- compartment
Id String - The OCID of the compartment.
- compartment
Id BooleanIn Subtree - enterprise
Manager StringBridge Id - OPSI Enterprise Manager Bridge OCID
- exadata
Insight StringId - The OCID of the Exadata insight.
- filters List<Property Map>
- host
Types List<String> - Ops Insights internal representation of the host type. Possible value is EXTERNAL-HOST.
- id String
- The OCID of the host insight resource.
- states List<String>
- The current state of the host.
- statuses List<String>
- Indicates the status of a host insight in Operations Insights
Supporting Types
GetHostInsightsFilter
GetHostInsightsHostInsightSummaryCollection
GetHostInsightsHostInsightSummaryCollectionItem
- Compartment
Id string - The OCID of the compartment.
- Compute
Id string - The OCID of the Compute Instance
- Dictionary<string, string>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - Enterprise
Manager stringBridge Id - Unique Enterprise Manager bridge identifier
- Enterprise
Manager stringEntity Display Name - Enterprise Manager Entity Display Name
- Enterprise
Manager stringEntity Identifier - Enterprise Manager Entity Unique Identifier
- Enterprise
Manager stringEntity Name - Enterprise Manager Entity Name
- Enterprise
Manager stringEntity Type - Enterprise Manager Entity Type
- Enterprise
Manager stringIdentifier - Enterprise Manager Unique Identifier
- Entity
Source string - Source of the host entity.
- Exadata
Insight stringId - OCID of exadata insight resource.
- Dictionary<string, string>
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - Host
Display stringName - The user-friendly name for the host. The name does not have to be unique.
- Host
Name string - The host name. The host name is unique amongst the hosts managed by the same management agent.
- Host
Type string - Filter by one or more host types. Possible values are CLOUD-HOST, EXTERNAL-HOST, COMANAGED-VM-HOST, COMANAGED-BM-HOST, COMANAGED-EXACS-HOST, COMANAGED-EXACC-HOST
- Id string
- Optional list of host insight resource OCIDs.
- Lifecycle
Details string - A message describing the current state in more detail. For example, can be used to provide actionable information for a resource in Failed state.
- Management
Agent stringId - The OCID of the Management Agent
- Platform
Name string - Platform name.
- Platform
Type string - Filter by one or more platform types. Supported platformType(s) for MACS-managed external host insight: [LINUX, SOLARIS, WINDOWS]. Supported platformType(s) for MACS-managed cloud host insight: [LINUX]. Supported platformType(s) for EM-managed external host insight: [LINUX, SOLARIS, SUNOS, ZLINUX, WINDOWS, AIX].
- Platform
Version string - Platform version.
- Processor
Count int - Processor count. This is the OCPU count for Autonomous Database and CPU core count for other database types.
- State string
- Lifecycle states
- Status string
- Resource Status
- Dictionary<string, string>
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"} - Time
Created string - The time the the host insight was first enabled. An RFC3339 formatted datetime string
- Time
Updated string - The time the host insight was updated. An RFC3339 formatted datetime string
- Compartment
Id string - The OCID of the compartment.
- Compute
Id string - The OCID of the Compute Instance
- map[string]string
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - Enterprise
Manager stringBridge Id - Unique Enterprise Manager bridge identifier
- Enterprise
Manager stringEntity Display Name - Enterprise Manager Entity Display Name
- Enterprise
Manager stringEntity Identifier - Enterprise Manager Entity Unique Identifier
- Enterprise
Manager stringEntity Name - Enterprise Manager Entity Name
- Enterprise
Manager stringEntity Type - Enterprise Manager Entity Type
- Enterprise
Manager stringIdentifier - Enterprise Manager Unique Identifier
- Entity
Source string - Source of the host entity.
- Exadata
Insight stringId - OCID of exadata insight resource.
- map[string]string
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - Host
Display stringName - The user-friendly name for the host. The name does not have to be unique.
- Host
Name string - The host name. The host name is unique amongst the hosts managed by the same management agent.
- Host
Type string - Filter by one or more host types. Possible values are CLOUD-HOST, EXTERNAL-HOST, COMANAGED-VM-HOST, COMANAGED-BM-HOST, COMANAGED-EXACS-HOST, COMANAGED-EXACC-HOST
- Id string
- Optional list of host insight resource OCIDs.
- Lifecycle
Details string - A message describing the current state in more detail. For example, can be used to provide actionable information for a resource in Failed state.
- Management
Agent stringId - The OCID of the Management Agent
- Platform
Name string - Platform name.
- Platform
Type string - Filter by one or more platform types. Supported platformType(s) for MACS-managed external host insight: [LINUX, SOLARIS, WINDOWS]. Supported platformType(s) for MACS-managed cloud host insight: [LINUX]. Supported platformType(s) for EM-managed external host insight: [LINUX, SOLARIS, SUNOS, ZLINUX, WINDOWS, AIX].
- Platform
Version string - Platform version.
- Processor
Count int - Processor count. This is the OCPU count for Autonomous Database and CPU core count for other database types.
- State string
- Lifecycle states
- Status string
- Resource Status
- map[string]string
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"} - Time
Created string - The time the the host insight was first enabled. An RFC3339 formatted datetime string
- Time
Updated string - The time the host insight was updated. An RFC3339 formatted datetime string
- compartment
Id String - The OCID of the compartment.
- compute
Id String - The OCID of the Compute Instance
- Map<String,String>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - enterprise
Manager StringBridge Id - Unique Enterprise Manager bridge identifier
- enterprise
Manager StringEntity Display Name - Enterprise Manager Entity Display Name
- enterprise
Manager StringEntity Identifier - Enterprise Manager Entity Unique Identifier
- enterprise
Manager StringEntity Name - Enterprise Manager Entity Name
- enterprise
Manager StringEntity Type - Enterprise Manager Entity Type
- enterprise
Manager StringIdentifier - Enterprise Manager Unique Identifier
- entity
Source String - Source of the host entity.
- exadata
Insight StringId - OCID of exadata insight resource.
- Map<String,String>
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - host
Display StringName - The user-friendly name for the host. The name does not have to be unique.
- host
Name String - The host name. The host name is unique amongst the hosts managed by the same management agent.
- host
Type String - Filter by one or more host types. Possible values are CLOUD-HOST, EXTERNAL-HOST, COMANAGED-VM-HOST, COMANAGED-BM-HOST, COMANAGED-EXACS-HOST, COMANAGED-EXACC-HOST
- id String
- Optional list of host insight resource OCIDs.
- lifecycle
Details String - A message describing the current state in more detail. For example, can be used to provide actionable information for a resource in Failed state.
- management
Agent StringId - The OCID of the Management Agent
- platform
Name String - Platform name.
- platform
Type String - Filter by one or more platform types. Supported platformType(s) for MACS-managed external host insight: [LINUX, SOLARIS, WINDOWS]. Supported platformType(s) for MACS-managed cloud host insight: [LINUX]. Supported platformType(s) for EM-managed external host insight: [LINUX, SOLARIS, SUNOS, ZLINUX, WINDOWS, AIX].
- platform
Version String - Platform version.
- processor
Count Integer - Processor count. This is the OCPU count for Autonomous Database and CPU core count for other database types.
- state String
- Lifecycle states
- status String
- Resource Status
- Map<String,String>
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"} - time
Created String - The time the the host insight was first enabled. An RFC3339 formatted datetime string
- time
Updated String - The time the host insight was updated. An RFC3339 formatted datetime string
- compartment
Id string - The OCID of the compartment.
- compute
Id string - The OCID of the Compute Instance
- {[key: string]: string}
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - enterprise
Manager stringBridge Id - Unique Enterprise Manager bridge identifier
- enterprise
Manager stringEntity Display Name - Enterprise Manager Entity Display Name
- enterprise
Manager stringEntity Identifier - Enterprise Manager Entity Unique Identifier
- enterprise
Manager stringEntity Name - Enterprise Manager Entity Name
- enterprise
Manager stringEntity Type - Enterprise Manager Entity Type
- enterprise
Manager stringIdentifier - Enterprise Manager Unique Identifier
- entity
Source string - Source of the host entity.
- exadata
Insight stringId - OCID of exadata insight resource.
- {[key: string]: string}
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - host
Display stringName - The user-friendly name for the host. The name does not have to be unique.
- host
Name string - The host name. The host name is unique amongst the hosts managed by the same management agent.
- host
Type string - Filter by one or more host types. Possible values are CLOUD-HOST, EXTERNAL-HOST, COMANAGED-VM-HOST, COMANAGED-BM-HOST, COMANAGED-EXACS-HOST, COMANAGED-EXACC-HOST
- id string
- Optional list of host insight resource OCIDs.
- lifecycle
Details string - A message describing the current state in more detail. For example, can be used to provide actionable information for a resource in Failed state.
- management
Agent stringId - The OCID of the Management Agent
- platform
Name string - Platform name.
- platform
Type string - Filter by one or more platform types. Supported platformType(s) for MACS-managed external host insight: [LINUX, SOLARIS, WINDOWS]. Supported platformType(s) for MACS-managed cloud host insight: [LINUX]. Supported platformType(s) for EM-managed external host insight: [LINUX, SOLARIS, SUNOS, ZLINUX, WINDOWS, AIX].
- platform
Version string - Platform version.
- processor
Count number - Processor count. This is the OCPU count for Autonomous Database and CPU core count for other database types.
- state string
- Lifecycle states
- status string
- Resource Status
- {[key: string]: string}
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"} - time
Created string - The time the the host insight was first enabled. An RFC3339 formatted datetime string
- time
Updated string - The time the host insight was updated. An RFC3339 formatted datetime string
- compartment_
id str - The OCID of the compartment.
- compute_
id str - The OCID of the Compute Instance
- Mapping[str, str]
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - enterprise_
manager_ strbridge_ id - Unique Enterprise Manager bridge identifier
- enterprise_
manager_ strentity_ display_ name - Enterprise Manager Entity Display Name
- enterprise_
manager_ strentity_ identifier - Enterprise Manager Entity Unique Identifier
- enterprise_
manager_ strentity_ name - Enterprise Manager Entity Name
- enterprise_
manager_ strentity_ type - Enterprise Manager Entity Type
- enterprise_
manager_ stridentifier - Enterprise Manager Unique Identifier
- entity_
source str - Source of the host entity.
- exadata_
insight_ strid - OCID of exadata insight resource.
- Mapping[str, str]
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - host_
display_ strname - The user-friendly name for the host. The name does not have to be unique.
- host_
name str - The host name. The host name is unique amongst the hosts managed by the same management agent.
- host_
type str - Filter by one or more host types. Possible values are CLOUD-HOST, EXTERNAL-HOST, COMANAGED-VM-HOST, COMANAGED-BM-HOST, COMANAGED-EXACS-HOST, COMANAGED-EXACC-HOST
- id str
- Optional list of host insight resource OCIDs.
- lifecycle_
details str - A message describing the current state in more detail. For example, can be used to provide actionable information for a resource in Failed state.
- management_
agent_ strid - The OCID of the Management Agent
- platform_
name str - Platform name.
- platform_
type str - Filter by one or more platform types. Supported platformType(s) for MACS-managed external host insight: [LINUX, SOLARIS, WINDOWS]. Supported platformType(s) for MACS-managed cloud host insight: [LINUX]. Supported platformType(s) for EM-managed external host insight: [LINUX, SOLARIS, SUNOS, ZLINUX, WINDOWS, AIX].
- platform_
version str - Platform version.
- processor_
count int - Processor count. This is the OCPU count for Autonomous Database and CPU core count for other database types.
- state str
- Lifecycle states
- status str
- Resource Status
- Mapping[str, str]
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"} - time_
created str - The time the the host insight was first enabled. An RFC3339 formatted datetime string
- time_
updated str - The time the host insight was updated. An RFC3339 formatted datetime string
- compartment
Id String - The OCID of the compartment.
- compute
Id String - The OCID of the Compute Instance
- Map<String>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - enterprise
Manager StringBridge Id - Unique Enterprise Manager bridge identifier
- enterprise
Manager StringEntity Display Name - Enterprise Manager Entity Display Name
- enterprise
Manager StringEntity Identifier - Enterprise Manager Entity Unique Identifier
- enterprise
Manager StringEntity Name - Enterprise Manager Entity Name
- enterprise
Manager StringEntity Type - Enterprise Manager Entity Type
- enterprise
Manager StringIdentifier - Enterprise Manager Unique Identifier
- entity
Source String - Source of the host entity.
- exadata
Insight StringId - OCID of exadata insight resource.
- Map<String>
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - host
Display StringName - The user-friendly name for the host. The name does not have to be unique.
- host
Name String - The host name. The host name is unique amongst the hosts managed by the same management agent.
- host
Type String - Filter by one or more host types. Possible values are CLOUD-HOST, EXTERNAL-HOST, COMANAGED-VM-HOST, COMANAGED-BM-HOST, COMANAGED-EXACS-HOST, COMANAGED-EXACC-HOST
- id String
- Optional list of host insight resource OCIDs.
- lifecycle
Details String - A message describing the current state in more detail. For example, can be used to provide actionable information for a resource in Failed state.
- management
Agent StringId - The OCID of the Management Agent
- platform
Name String - Platform name.
- platform
Type String - Filter by one or more platform types. Supported platformType(s) for MACS-managed external host insight: [LINUX, SOLARIS, WINDOWS]. Supported platformType(s) for MACS-managed cloud host insight: [LINUX]. Supported platformType(s) for EM-managed external host insight: [LINUX, SOLARIS, SUNOS, ZLINUX, WINDOWS, AIX].
- platform
Version String - Platform version.
- processor
Count Number - Processor count. This is the OCPU count for Autonomous Database and CPU core count for other database types.
- state String
- Lifecycle states
- status String
- Resource Status
- Map<String>
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"} - time
Created String - The time the the host insight was first enabled. An RFC3339 formatted datetime string
- time
Updated String - The time the host insight was updated. An RFC3339 formatted datetime string
Package Details
- Repository
- oci pulumi/pulumi-oci
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
ociTerraform Provider.
published on Thursday, Mar 26, 2026 by Pulumi
